# Class SessionManager

### Hierarchy

- SessionManager

### Constructors

- constructor

### Accessors

- debug

### Methods

- clearSession
- getSession
- getVariable

## Constructors

### constructor

- new SessionManager(serverUrl: string, contextName: string, requestClient: RequestClient): SessionManager

- - Defined in src/SessionManager.ts:14

  #### Parameters

  - ##### serverUrl: string

  - ##### contextName: string

  - ##### requestClient: RequestClient

  #### Returns SessionManager

## Accessors

### debug

- get debug(): boolean
- set debug(value: boolean): void

- - Defined in src/SessionManager.ts:31

  #### Returns boolean

- - Defined in src/SessionManager.ts:35

  #### Parameters

  - ##### value: boolean

  #### Returns void

## Methods

### clearSession

- clearSession(id: string, accessToken?: undefined | string): Promise<void>

- - Defined in src/SessionManager.ts:60

  #### Parameters

  - ##### id: string

  - ##### Optional accessToken: undefined | string

  #### Returns Promise<void>

### getSession

- getSession(accessToken?: undefined | string): Promise<undefined | Session>

- - Defined in src/SessionManager.ts:39

  #### Parameters

  - ##### Optional accessToken: undefined | string

  #### Returns Promise<undefined | Session>

### getVariable

- getVariable(sessionId: string, variable: string, accessToken?: undefined | string): Promise<object>

- - Defined in src/SessionManager.ts:233

  #### Parameters

  - ##### sessionId: string

  - ##### variable: string

  - ##### Optional accessToken: undefined | string

  #### Returns Promise<object>

Generated using TypeDoc